> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/categories/report

> With this endpoint you can analyse what are the categories of the placements' domains your ads are placed in.
<br/><br/>
This endpoint supports data retrieval for up to three months in the past.



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json post /preview/categories/report
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/categories/report:
    post:
      tags:
        - Analytics
      summary: /preview/categories/report
      description: "With this endpoint you can analyse what are the categories of the placements' domains your ads are placed in.\r\n<br/><br/>\r\nThis endpoint supports data retrieval for up to three months in the past."
      operationId: GetCategoriesReport
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/GenerateCategoriesReportRequestAttributesRequest
            example:
              data:
                type: GenerateCategoriesReport
                attributes:
                  advertiserIds:
                    - '123'
                    - '456'
                    - '789'
                  campaignId: '111'
                  adsetId: '135'
                  domain: example.com
                  category: Example
                  shouldDisplayDomainDimension: true
                  format: csv
                  timezone: Europe/Paris
                  startDate: '2024-01-01T00:00:00.0000000+00:00'
                  endDate: '2024-01-04T00:00:00.0000000+00:00'
          application/xml:
            schema:
              $ref: >-
                #/components/schemas/GenerateCategoriesReportRequestAttributesRequest
            example: "<ValueResourceInputOfGenerateCategoriesReportRequestAttributestukRIHCU xmlns:i=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Resources\">\r\n  <Data>\r\n    <Attributes xmlns:d3p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Messages\">\r\n      <d3p1:EndDate>2024-01-04T00:00:00</d3p1:EndDate>\r\n      <d3p1:StartDate>2024-01-01T00:00:00</d3p1:StartDate>\r\n      <d3p1:Format>csv</d3p1:Format>\r\n      <d3p1:Timezone>Europe/Paris</d3p1:Timezone>\r\n      <d3p1:AdsetId>135</d3p1:AdsetId>\r\n      <d3p1:AdvertiserIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>123</d4p1:string>\r\n        <d4p1:string>456</d4p1:string>\r\n        <d4p1:string>789</d4p1:string>\r\n      </d3p1:AdvertiserIds>\r\n      <d3p1:CampaignId>111</d3p1:CampaignId>\r\n      <d3p1:Category>Example</d3p1:Category>\r\n      <d3p1:Dimensions xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>AdvertiserId</d4p1:string>\r\n        <d4p1:string>Category</d4p1:string>\r\n        <d4p1:string>Domain</d4p1:string>\r\n      </d3p1:Dimensions>\r\n      <d3p1:Domain>example.com</d3p1:Domain>\r\n      <d3p1:IsInternal>false</d3p1:IsInternal>\r\n      <d3p1:Metrics xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>Displays</d4p1:string>\r\n        <d4p1:string>Clicks</d4p1:string>\r\n        <d4p1:string>SalesPc30d</d4p1:string>\r\n        <d4p1:string>SalesPv1d</d4p1:string>\r\n      </d3p1:Metrics>\r\n      <d3p1:ShouldDisplayDomainDimension>true</d3p1:ShouldDisplayDomainDimension>\r\n    </Attributes>\r\n    <Type>GenerateCategoriesReport</Type>\r\n  </Data>\r\n</ValueResourceInputOfGenerateCategoriesReportRequestAttributestukRIHCU>"
          text/xml:
            schema:
              $ref: >-
                #/components/schemas/GenerateCategoriesReportRequestAttributesRequest
            example: "<ValueResourceInputOfGenerateCategoriesReportRequestAttributestukRIHCU xmlns:i=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Resources\">\r\n  <Data>\r\n    <Attributes xmlns:d3p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Messages\">\r\n      <d3p1:EndDate>2024-01-04T00:00:00</d3p1:EndDate>\r\n      <d3p1:StartDate>2024-01-01T00:00:00</d3p1:StartDate>\r\n      <d3p1:Format>csv</d3p1:Format>\r\n      <d3p1:Timezone>Europe/Paris</d3p1:Timezone>\r\n      <d3p1:AdsetId>135</d3p1:AdsetId>\r\n      <d3p1:AdvertiserIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>123</d4p1:string>\r\n        <d4p1:string>456</d4p1:string>\r\n        <d4p1:string>789</d4p1:string>\r\n      </d3p1:AdvertiserIds>\r\n      <d3p1:CampaignId>111</d3p1:CampaignId>\r\n      <d3p1:Category>Example</d3p1:Category>\r\n      <d3p1:Dimensions xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>AdvertiserId</d4p1:string>\r\n        <d4p1:string>Category</d4p1:string>\r\n        <d4p1:string>Domain</d4p1:string>\r\n      </d3p1:Dimensions>\r\n      <d3p1:Domain>example.com</d3p1:Domain>\r\n      <d3p1:IsInternal>false</d3p1:IsInternal>\r\n      <d3p1:Metrics xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>Displays</d4p1:string>\r\n        <d4p1:string>Clicks</d4p1:string>\r\n        <d4p1:string>SalesPc30d</d4p1:string>\r\n        <d4p1:string>SalesPv1d</d4p1:string>\r\n      </d3p1:Metrics>\r\n      <d3p1:ShouldDisplayDomainDimension>true</d3p1:ShouldDisplayDomainDimension>\r\n    </Attributes>\r\n    <Type>GenerateCategoriesReport</Type>\r\n  </Data>\r\n</ValueResourceInputOfGenerateCategoriesReportRequestAttributestukRIHCU>"
          application/*+xml:
            schema:
              $ref: >-
                #/components/schemas/GenerateCategoriesReportRequestAttributesRequest
            example: "<ValueResourceInputOfGenerateCategoriesReportRequestAttributestukRIHCU xmlns:i=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Resources\">\r\n  <Data>\r\n    <Attributes xmlns:d3p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Messages\">\r\n      <d3p1:EndDate>2024-01-04T00:00:00</d3p1:EndDate>\r\n      <d3p1:StartDate>2024-01-01T00:00:00</d3p1:StartDate>\r\n      <d3p1:Format>csv</d3p1:Format>\r\n      <d3p1:Timezone>Europe/Paris</d3p1:Timezone>\r\n      <d3p1:AdsetId>135</d3p1:AdsetId>\r\n      <d3p1:AdvertiserIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>123</d4p1:string>\r\n        <d4p1:string>456</d4p1:string>\r\n        <d4p1:string>789</d4p1:string>\r\n      </d3p1:AdvertiserIds>\r\n      <d3p1:CampaignId>111</d3p1:CampaignId>\r\n      <d3p1:Category>Example</d3p1:Category>\r\n      <d3p1:Dimensions xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>AdvertiserId</d4p1:string>\r\n        <d4p1:string>Category</d4p1:string>\r\n        <d4p1:string>Domain</d4p1:string>\r\n      </d3p1:Dimensions>\r\n      <d3p1:Domain>example.com</d3p1:Domain>\r\n      <d3p1:IsInternal>false</d3p1:IsInternal>\r\n      <d3p1:Metrics xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>Displays</d4p1:string>\r\n        <d4p1:string>Clicks</d4p1:string>\r\n        <d4p1:string>SalesPc30d</d4p1:string>\r\n        <d4p1:string>SalesPv1d</d4p1:string>\r\n      </d3p1:Metrics>\r\n      <d3p1:ShouldDisplayDomainDimension>true</d3p1:ShouldDisplayDomainDimension>\r\n    </Attributes>\r\n    <Type>GenerateCategoriesReport</Type>\r\n  </Data>\r\n</ValueResourceInputOfGenerateCategoriesReportRequestAttributestukRIHCU>"
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: string
                format: binary
            text/csv:
              schema:
                type: string
                format: binary
            text/xml:
              schema:
                type: string
                format: binary
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet:
              schema:
                type: string
                format: binary
      security:
        - oauth:
            - MarketingSolutions_Analytics_Read
components:
  schemas:
    GenerateCategoriesReportRequestAttributesRequest:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/GenerateCategoriesReportRequestAttributesResource
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    GenerateCategoriesReportRequestAttributesResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/GenerateCategoriesReportRequestAttributes'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    GenerateCategoriesReportRequestAttributes:
      required:
        - advertiserIds
        - endDate
        - startDate
      type: object
      properties:
        adsetId:
          type: string
          description: >-
            Optional adset id to filter on. The adset must already exist. If
            empty, all adsets will be fetched.
          nullable: true
        advertiserIds:
          minItems: 1
          type: array
          items:
            type: string
          description: >-
            List of advertiser IDs to report on. The advertisers must already
            exist. At least one advertiser ID should be provided.
        campaignId:
          type: string
          description: >-
            Optional campaign id to filter on. The campaign must already exist.
            If empty, all campaign will be fetched.
          nullable: true
        category:
          type: string
          description: >-
            Optional category to filter on. If empty, all categories will be
            fetched.
          nullable: true
        domain:
          type: string
          description: Optional domain to filter on. If empty, all domains will be fetched.
          nullable: true
        endDate:
          type: string
          description: >-
            End date of the report. Date component of ISO 8601 format, any time
            or timezone component is ignored.
          format: date-time
        format:
          enum:
            - csv
            - excel
            - xml
            - json
          type: string
          description: Optional file format of the generated report.
          default: json
        shouldDisplayDomainDimension:
          type: boolean
          description: >-
            Optionally specify if the domain dimension is displayed in the
            report.
          default: true
        startDate:
          type: string
          description: >-
            Start date of the report. Date component of ISO 8601 format, any
            time or timezone component is ignored. Must be ≤ endDate.
          format: date-time
        timezone:
          type: string
          description: >-
            Optional timezone used for the report. Timezone Database format
            (Tz).
          default: UTC
          nullable: true
      additionalProperties: false
      description: This is the message defining the query for Categories report
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````